## libpulp 0.3.16

=== examples/cplusplus/1-class/Makefile ===
CXX=g++
CXXFLAGS=-O2 -fpatchable-function-entry=16,14 -fPIC -g3
ULP=$(shell which ulp 2>/dev/null)
LDFLAGS=

ifeq ($(ULP),)
$(error Not found ulp, please make install first)
endif

all: test a_livepatch1.so

test: class.o
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LDFLAGS)

%.so: %.o %.dsc
	$(CXX) $(CXXFLAGS) -shared -o $@ $<
	$(ULP) packer $(word 2, $^)

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $^ -o $@

clean:
	rm -f test *.o *.so

clena: clean

=== examples/cplusplus/2-private_class/Makefile ===
CXX=g++
CXXFLAGS=-O2 -fpatchable-function-entry=16,14 -fdump-ipa-clones -fPIC -g3
ULP=$(shell which ulp 2>/dev/null)
LDFLAGS=

ifeq ($(ULP),)
$(error Not found ulp, please make install first)
endif

all: test a_livepatch1.so

test: class.o
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LDFLAGS)

%.so: %.o %.dsc
	$(CXX) $(CXXFLAGS) -shared -o $@ $<
	$(ULP) packer $(word 2, $^)

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $^ -o $@

clean:
	rm -f test *.o *.so *.ipa-clones

clena: clean

=== examples/cplusplus/4-global_var/Makefile ===
CXX=g++
CXXFLAGS=-O2 -fpatchable-function-entry=16,14 -fdump-ipa-clones -fPIC -g3
ULP=$(shell which ulp 2>/dev/null)
LDFLAGS=

ifeq ($(ULP),)
$(error Not found ulp, please make install first)
endif

all: test a_livepatch1.so

test: test.o
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LDFLAGS)

%.so: %.o %.dsc
	$(CXX) $(CXXFLAGS) -shared -o $@ $<
	$(ULP) packer $(word 2, $^)

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $^ -o $@

clean:
	rm -f test *.o *.so *.ipa-clones

clena: clean

=== examples/cplusplus/5-queue/Makefile ===
CXX=g++
CXXFLAGS=-fpatchable-function-entry=16,14 -fdump-ipa-clones -fPIC -g3 -Wno-terminate -O2
ULP=$(shell which ulp 2>/dev/null)
LDFLAGS=

ifeq ($(ULP),)
$(error Not found ulp, please make install first)
endif

all: test a_livepatch1.so

test: class.o
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LDFLAGS)

%.so: %.o %.dsc
	$(CXX) $(CXXFLAGS) -shared -o $@ $<
	$(ULP) packer $(word 2, $^)

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $^ -o $@

clean:
	rm -f test *.o *.so *.ipa-clones

clena: clean

## libpulp 0.2.8

=== debian/changelog ===
libpulp (0.2.8-1) unstable; urgency=low

  * Update upstream sources.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sun, 02 Feb 2025 19:57:18 -0800

libpulp (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #1086195)

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Sat, 16 Nov 2024 13:21:37 -0800

=== debian/control ===
Source: libpulp
Section: devel
Priority: optional
Maintainer: Gabriel F. T. Gomes <gabriel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 autoconf-archive,
 libelf-dev,
 libjson-c-dev,
 libseccomp-dev,
 python3,
 python3-pexpect,
 python3-psutil,
Standards-Version: 4.6.1
Homepage: https://github.com/SUSE/libpulp
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/libpulp.git
Vcs-Browser: https://salsa.debian.org/debian/libpulp

Package: libpulp0
Section: libs
Priority: optional
Architecture: amd64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: user-space live-patching library
 libpulp is a framework that enables live-patching of user-space
 processes. This package contains the runtime support.

Package: libpulp-tools
Section: devel
Priority: optional
Architecture: amd64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: user-space live-patching library
 libpulp is a framework that enables live-patching of user-space
 processes. This package contains the tools to manage live-patches.

## libpulp 0.3.16

=== debian/changelog ===
libpulp (0.3.16-1) unstable; urgency=low

  * Update upstream sources. (Closes: #1115243)
  * Update to current Standards-Version.

 -- Gabriel F. T. Gomes <gabriel@debian.org>  Thu, 02 Oct 2025 21:47:38 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3,
  python3-pexpect,
  python3-psutil,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/SUSE/libpulp
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/libpulp.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

# Use of -fcf-protection with to-be-patched libraries breaks live-patching.
override_dh_auto_test:
	dh_auto_test -- CFLAGS=-fcf-protection=none

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libpulp-$1\.tar\.gz/ \
  https://github.com/SUSE/libpulp/tags .*/v?(\d\S+)\.tar\.gz
